Re: [PATCH] kbuild: Don't remove link-vmlinux temporary files on exit/signal

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



On Wed, May 5, 2021 at 12:35 PM Andi Kleen <ak@xxxxxxxxxxxxxxx> wrote:
>
> Keep them around until they are cleaned up by make clean. This
> uses a bit more disk space, but makes it easier to debug any
> problems with the kernel link process.
>
> Suggested-by: Masahiro Yamada <masahiroy@xxxxxxxxxx>
> Signed-off-by: Andi Kleen <ak@xxxxxxxxxxxxxxx>
> ---

Applied to linux-kbuild. Thanks.


>  scripts/link-vmlinux.sh | 14 --------------
>  1 file changed, 14 deletions(-)
>
> diff --git a/scripts/link-vmlinux.sh b/scripts/link-vmlinux.sh
> index 7d112681f332..f4de4c97015b 100755
> --- a/scripts/link-vmlinux.sh
> +++ b/scripts/link-vmlinux.sh
> @@ -320,20 +320,6 @@ cleanup()
>         rm -f .vmlinux.d
>  }
>
> -on_exit()
> -{
> -       if [ $? -ne 0 ]; then
> -               cleanup
> -       fi
> -}
> -trap on_exit EXIT
> -
> -on_signals()
> -{
> -       exit 1
> -}
> -trap on_signals HUP INT QUIT TERM
> -
>  # Use "make V=1" to debug this script
>  case "${KBUILD_VERBOSE}" in
>  *1*)
> --
> 2.25.4
>


-- 
Best Regards
Masahiro Yamada



[Index of Archives]     [Linux&nblp;USB Development]     [Linux Media]     [Video for Linux]     [Linux Audio Users]     [Yosemite Secrets]     [Linux Kernel]     [Linux SCSI]

  Powered by Linux